# eric7.WebBrowser.Bookmarks.BookmarksImporters.OperaImporter

Module implementing an importer for Opera bookmarks.

### Global Attributes

None

### Classes

OperaImporter | Class implementing the Opera bookmarks importer.

### Functions

getImporterInfo | Module function to get information for the given source id.

## OperaImporter

Class implementing the Opera bookmarks importer.

### Derived from

BookmarksImporter

### Class Attributes

None

### Class Methods

None

### Methods

OperaImporter | Constructor
importedBookmarks | Public method to get the imported bookmarks.
open | Public method to open the bookmarks file.
setPath | Public method to set the path of the bookmarks file or directory.

### Static Methods

None

#### OperaImporter (Constructor)

OperaImporter(sourceId="", parent=None)

Constructor

sourceId
  source ID (string)
parent
  reference to the parent object (QObject)

#### OperaImporter.importedBookmarks

importedBookmarks()

Public method to get the imported bookmarks.

Return:
  imported bookmarks (BookmarkNode)

#### OperaImporter.open

open()

Public method to open the bookmarks file.

Return:
  flag indicating success (boolean)

#### OperaImporter.setPath

setPath(path)

Public method to set the path of the bookmarks file or directory.

path
  bookmarks file or directory (string)

Up

## getImporterInfo

getImporterInfo(sourceId)

Module function to get information for the given source id.

sourceId
  id of the browser ("chrome" or "chromium")

Return:
  tuple with an icon (QPixmap), readable name (string), name of the default bookmarks file (string), an info text (string), a prompt (string) and the default directory of the bookmarks file (string)

Raises ValueError:
  raised to indicate an invalid browser ID

Up